GDB (xrefs)

Functions | Variables
py-auto-load.c File Reference
`#include "defs.h"`
`#include "top.h"`
`#include "gdbcmd.h"`
`#include "objfiles.h"`
`#include "python.h"`
`#include "auto-load.h"`
`#include "python-internal.h"`

Go to the source code of this file.

## Functions
static void | show_auto_load_python_scripts (struct ui_file *file, int from_tty, struct cmd_list_element *c, const char *value)
int | gdbpy_auto_load_enabled (const struct extension_language_defn *extlang)
static void | info_auto_load_python_scripts (const char *pattern, int from_tty)
int | gdbpy_initialize_auto_load (void)

## Variables
static int | auto_load_python_scripts = 1

## Function Documentation

## ◆ gdbpy_auto_load_enabled()

int gdbpy_auto_load_enabled | ( | const struct extension_language_defn * | extlang | ) |

Definition at line 47 of file py-auto-load.c.

References auto_load_python_scripts.

## ◆ gdbpy_initialize_auto_load()

int gdbpy_initialize_auto_load | ( | void |  | ) |

Definition at line 61 of file py-auto-load.c.

References _, add_cmd(), add_info(), add_setshow_boolean_cmd(), auto_load_info_cmdlist_get(), auto_load_python_scripts, auto_load_set_cmdlist_get(), auto_load_show_cmdlist_get(), class_info, class_support, deprecate_cmd(), info_auto_load_python_scripts(), lookup_cmd(), setlist, show_auto_load_python_scripts(), and showlist.

Referenced by do_start_initialization().

## ◆ info_auto_load_python_scripts()

static void info_auto_load_python_scripts | ( | const char * | pattern,
|  | int | from_tty
| ) |  |
| static

Definition at line 55 of file py-auto-load.c.

References auto_load_info_scripts(), and extension_language_python.

Referenced by gdbpy_initialize_auto_load().

## ◆ show_auto_load_python_scripts()

static void show_auto_load_python_scripts | ( | struct ui_file * | file,
|  | int | from_tty,
|  | struct cmd_list_element * | c,
|  | const char * | value
| ) |  |
| static

Definition at line 37 of file py-auto-load.c.

References _, and fprintf_filtered().

Referenced by gdbpy_initialize_auto_load().

## Variable Documentation

## ◆ auto_load_python_scripts

int auto_load_python_scripts = 1
| static

Definition at line 32 of file py-auto-load.c.

Referenced by gdbpy_auto_load_enabled(), and gdbpy_initialize_auto_load().